import { ApplicationService } from '@core/application';
import { DomainAvailabilityService } from '@domain/availability';
import { createComponentFactory, Spectator } from '@ngneat/spectator';
import { DateAdapter } from '@ui/common';
import { PriceUpdateComponentStore } from '../price-update.component.store';
import { PriceUpdateItemComponent } from './price-update-item.component';

xdescribe('PriceUpdateItemComponent', () => {
  let spectator: Spectator<PriceUpdateItemComponent>;
  const createComponent = createComponentFactory({
    component: PriceUpdateItemComponent,
    mocks: [DateAdapter, DomainAvailabilityService, ApplicationService, PriceUpdateComponentStore],
  });

  beforeEach(() => {
    spectator = createComponent();
  });

  it('should create', () => {
    expect(spectator.component).toBeTruthy();
  });
});
